List Checkouts
curl --request GET \
--url https://api.example.com/api/v1/customer/checkouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/customer/checkouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/customer/checkouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"checkoutId": "0197a812-b835-79c4-8f0b-0e3863eb6d34",
"customerId": "0197a7f6-4d36-7c0a-a7cb-54fcb33a3148",
"customer": {
"customerId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"document": null,
"documentType": null,
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"user": {
"name": "Maria Silva",
"phoneDdi": "55",
"phoneIso": "BR",
"phoneNumber": "99999999999",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"email": "maria@example.com"
}
},
"orders": [
{
"amount": 15000,
"code": "ORD-20260412-A1B2",
"orderId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"paidAmount": 15000,
"status": "PENDING",
"type": "ONLINE"
}
],
"code": "OAB-CHK-20260703-0001",
"baseAmount": 28900,
"discountAmount": 3400,
"creditAmount": 1500,
"paidAmount": 24000,
"amount": 25500,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"checkoutSessionId": "01981255-3c7a-7bd4-bb5f-8b47bc4dce91",
"createdBy": "0197a805-0910-7eb2-bae7-90a13df2a9b2",
"updatedBy": "0197a805-0910-7eb2-bae7-90a13df2a9b2",
"checkoutSession": {
"checkoutSessionId": "01981255-3c7a-7bd4-bb5f-8b47bc4dce91",
"tripId": "0197a80f-2d8f-7710-b243-b67fb477a1c0",
"paymentMethod": "CASH",
"expiresAt": "2023-11-07T05:31:56Z",
"canceledAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z"
}
}
],
"meta": {
"limit": 10,
"page": 1,
"totalItems": 100,
"totalPages": 10
}
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Internal Server Error",
"statusCode": 500
}Checkout
List Checkouts
Lists checkouts.
GET
/
api
/
v1
/
customer
/
checkouts
List Checkouts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Items per page
Example:
10
Page number
Example:
1
Available operators: >, >=, <, <=, =.
Example:
">=2024-01-01;<=2024-12-31"
Field to sort by
Available options:
createdAt, amount Example:
"createdAt"
Sort order
Available options:
asc, desc Example:
"desc"
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.